<?xml version="1.0" encoding="windows-1251"?>
<Компонент Владелец="НПО Криста www.krista.ru" Класс="Платформа.Компоненты.Соединения.ОписаниеСоединений" Имя="Платформа.ЭЦП.РедакторДокументов.АспектЭЦПКнопки">
	<Объект ВидСвязи="Аспект" Имя="Платформа.ЭЦП.РедакторДокументов.АспектЭЦПКнопки" ИДВидаСвязи="1768016" Комментарий="Кнопка проверки подписи" Устаревший="0">
		<ПодключенияКонтроллеров Класс="Платформа.Компоненты.ОписаниеПодключенийОбработчиков">
			<Объект Контроллер="Платформа.ЗаписатьОбъект" Тип="Объект" ИДЗаголовка="78221149" ИмяТочкиПодключения="ПослеСоединения" ИДКонтроллера="63741" ПриоритетПодключения="10" Отключено="0" Условие="%Настройки:ТипСистемы='Бюджет'">
				<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
					<Объект Параметр="Значение" Источник="Фабрика" ИДПараметра="63745" СтрокаИсточника="КоллекцияПараметровКом" Направление="in"/>
					<Объект Параметр="ИсходныйОбъект" Источник="Контейнер" ИДПараметра="63747" СтрокаИсточника="Кэш" Направление="in"/>
					<Объект Параметр="Маршрут" Источник="Константа" ИДПараметра="63749" СтрокаИсточника="ПараметрыКонтроллера" Направление="in"/>
				</ПередачаПараметров>
			</Объект>
			<Объект Контроллер="Платформа.ЗаписатьОбъект" Тип="Объект" ИДЗаголовка="78221149" ИмяТочкиПодключения="ПослеСоединения" ИДКонтроллера="63741" ПриоритетПодключения="9" Отключено="0" Условие="%Настройки:ТипСистемы='Бюджет'">
				<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
					<Объект Параметр="Значение" Источник="Константа" ИДПараметра="63745" СтрокаИсточника="true" Направление="in"/>
					<Объект Параметр="ИсходныйОбъект" Источник="Контейнер" ИДПараметра="63747" СтрокаИсточника="Кэш[ПараметрыКонтроллера]" Направление="in"/>
					<Объект Параметр="Маршрут" Источник="Константа" ИДПараметра="63749" СтрокаИсточника="Проверить" Направление="in"/>
				</ПередачаПараметров>
			</Объект>
			<Объект Контроллер="Платформа.Интерфейсы.ПанелиИнструментов.СоздатьПредставление" Тип="Объект" ИДЗаголовка="78221149" ИмяТочкиПодключения="ПослеСоединения" ИДКонтроллера="64153" ПриоритетПодключения="2" Отключено="0" Условие="%Настройки:ТипСистемы='Бюджет'">
				<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
					<Объект Параметр="Модель" Источник="Фабрика" ИДПараметра="64157" СтрокаИсточника="Объект[Платформа.ЭЦП.РедакторДокументов.ГруппаПанелей]" Направление="in"/>
					<Объект Параметр="Подложка" Источник="Контейнер" ИДПараметра="64159" СтрокаИсточника="Владелец.Представление.Элемент[ПанельИнструментов]" Направление="in"/>
				</ПередачаПараметров>
			</Объект>
			<Объект Контроллер="Платформа.ПодключитьКонтроллер" Тип="Объект" ИДЗаголовка="78221149" ИмяТочкиПодключения="ПослеСоединения" ИДКонтроллера="68493" ПриоритетПодключения="0" Отключено="0" Условие="%Настройки:ТипСистемы='Бюджет'">
				<ПередачаПараметров Класс="Платформа.Компоненты.ОписаниеПередачиПараметров">
					<Объект Параметр="Владелец" Источник="Контейнер" ИДПараметра="78089321" Направление="in"/>
					<Объект Параметр="ИмяТочкиПодключения" Источник="Константа" ИДПараметра="68495" СтрокаИсточника="Клик" Направление="in"/>
					<Объект Параметр="МаппингПараметров" Источник="Константа" ИДПараметра="68497" СтрокаИсточника="Слой&lt;Контейнер:Слой,Грид&lt;Контейнер:Грид,ИмяПараметраДанных&lt;Константа:Документы,Обработчик&lt;Константа:Платформа.ЭЦП.ПодписатьДокумент,ПараметрыОбработчика&lt;Контейнер:Кэш[ПараметрыКонтроллера]" Направление="in"/>
					<Объект Параметр="Объект" Источник="Контейнер" ИДПараметра="68499" СтрокаИсточника="Владелец.Представление.Элемент[ПанельИнструментов].Элемент[ПроверкаЭЦП]" Направление="in"/>
					<Объект Параметр="ТипКонтроллера" Источник="Константа" ИДПараметра="68501" СтрокаИсточника="Платформа.Слои.Грид.ВызватьКонтроллерДляВыделенныхДокументов" Направление="in"/>
				</ПередачаПараметров>
			</Объект>
		</ПодключенияКонтроллеров>
	</Объект>
</Компонент>
